import axios from "../../utils/axios";

export function getIncodeLogs(query) {
    return axios({
        url: "/udiwms/inv/incode/filter",
        method: "get",
        params: query
    });
}
export function getParams(query) {
    return axios({
        url: "/udiwms/inv/incode/getParams",
        method: "get",
        params: query
    });
}


export function delIncodeLogs(query) {
    return axios({
        url: "/udiwms/inv/incode/delete",
        method: "post",
        data: query
    });
}

export function postByUdiInfo(query) {
    return axios({
        url: "/udiwms/stockprint/postByUdiInfo",
        method: "post",
        data: query
    });
}

export function postAllByInvInfo(query){
    return axios({
        url: "/udiwms/stockprint/postAllByInvInfo",
        method: "get",
        params: query
    });
}
export function postByInvInfo(query) {
    return axios({
        url: "/udiwms/stockprint/postByInvInfo",
        method: "post",
        data: query
    });
}
export function getDetail(query){
    return axios({
        url: "/udiwms/stockPrint/getFilter",
        method: "get",
        params: query
    });
}
